package com.zm.order.tool.server.model;

import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * @Description rocketMQ配置
 * @Author: ph
 * @Date: 2019/12/5 09:42
 */
@ConfigurationProperties(prefix = "ons")
public class OnsProperty {

    private String accessKey;

    private String secretKey;

    private String nameSrvAddr;

    private String groupId;

    /**
     * 顺序队列groupId
     */
    private String orderlyGroupId;

    public String getOrderlyGroupId() {
        return orderlyGroupId;
    }

    public void setOrderlyGroupId(String orderlyGroupId) {
        this.orderlyGroupId = orderlyGroupId;
    }

    private int maxReconsumeTimes = 3;

    private int sendMsgTimeoutMillis = 500;

    public String getAccessKey() {
        return accessKey;
    }

    public void setAccessKey(String accessKey) {
        this.accessKey = accessKey;
    }

    public String getSecretKey() {
        return secretKey;
    }

    public void setSecretKey(String secretKey) {
        this.secretKey = secretKey;
    }

    public String getNameSrvAddr() {
        return nameSrvAddr;
    }

    public void setNameSrvAddr(String nameSrvAddr) {
        this.nameSrvAddr = nameSrvAddr;
    }

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public int getMaxReconsumeTimes() {
        return maxReconsumeTimes;
    }

    public void setMaxReconsumeTimes(int maxReconsumeTimes) {
        this.maxReconsumeTimes = maxReconsumeTimes;
    }

    public int getSendMsgTimeoutMillis() {
        return sendMsgTimeoutMillis;
    }

    public void setSendMsgTimeoutMillis(int sendMsgTimeoutMillis) {
        this.sendMsgTimeoutMillis = sendMsgTimeoutMillis;
    }
}
